`timescale 1 ps / 1 ps

module design_1_wrapper
   (DDR3_addr,
    DDR3_ba,
    DDR3_cas_n,
    DDR3_ck_n,
    DDR3_ck_p,
    DDR3_cke,
    DDR3_cs_n,
    DDR3_dm,
    DDR3_dq,
    DDR3_dqs_n,
    DDR3_dqs_p,
    DDR3_odt,
    DDR3_ras_n,
    DDR3_reset_n,
    DDR3_we_n,
    GPIn_tri_i,
    GPOut_tri_o,
    GbE_clk_n,
    GbE_clk_p,
    IIC_MMC_Slave_scl_io,
    IIC_MMC_Slave_sda_io,
    IIC_Master_scl_io,
    IIC_Master_sda_io,
    SYS_CLK_clk_n,
    SYS_CLK_clk_p,
    //gbe_rxs_tdata,
    //gbe_rxs_tkeep,
    //gbe_rxs_tlast,
    //gbe_rxs_tready,
    //gbe_rxs_tvalid,
    sfp_rxn,
    sfp_rxp,
    sfp_txn,
    sfp_txp);
  output [13:0]DDR3_addr;
  output [2:0]DDR3_ba;
  output DDR3_cas_n;
  output [0:0]DDR3_ck_n;
  output [0:0]DDR3_ck_p;
  output [0:0]DDR3_cke;
  output [0:0]DDR3_cs_n;
  output [3:0]DDR3_dm;
  inout [31:0]DDR3_dq;
  inout [3:0]DDR3_dqs_n;
  inout [3:0]DDR3_dqs_p;
  output [0:0]DDR3_odt;
  output DDR3_ras_n;
  output DDR3_reset_n;
  output DDR3_we_n;
  input [5:0]GPIn_tri_i;
  output [5:0]GPOut_tri_o;
  input GbE_clk_n;
  input GbE_clk_p;
  inout IIC_MMC_Slave_scl_io;
  inout IIC_MMC_Slave_sda_io;
  inout IIC_Master_scl_io;
  inout IIC_Master_sda_io;
  input SYS_CLK_clk_n;
  input SYS_CLK_clk_p;
  //output [31:0]gbe_rxs_tdata;
  //output [3:0]gbe_rxs_tkeep;
  //output gbe_rxs_tlast;
  //input gbe_rxs_tready;
  //output gbe_rxs_tvalid;
  input sfp_rxn;
  input sfp_rxp;
  output sfp_txn;
  output sfp_txp;
  //input signal_detect;
  //input sys_rst;

  wire [13:0]DDR3_addr;
  wire [2:0]DDR3_ba;
  wire DDR3_cas_n;
  wire [0:0]DDR3_ck_n;
  wire [0:0]DDR3_ck_p;
  wire [0:0]DDR3_cke;
  wire [0:0]DDR3_cs_n;
  wire [3:0]DDR3_dm;
  wire [31:0]DDR3_dq;
  wire [3:0]DDR3_dqs_n;
  wire [3:0]DDR3_dqs_p;
  wire [0:0]DDR3_odt;
  wire DDR3_ras_n;
  wire DDR3_reset_n;
  wire DDR3_we_n;
  wire [5:0]GPIn_tri_i;
  wire [5:0]GPOut_tri_o;
  wire GbE_clk_n;
  wire GbE_clk_p;
  wire IIC_MMC_Slave_scl_i;
  wire IIC_MMC_Slave_scl_io;
  wire IIC_MMC_Slave_scl_o;
  wire IIC_MMC_Slave_scl_t;
  wire IIC_MMC_Slave_sda_i;
  wire IIC_MMC_Slave_sda_io;
  wire IIC_MMC_Slave_sda_o;
  wire IIC_MMC_Slave_sda_t;
  wire IIC_Master_scl_i;
  wire IIC_Master_scl_io;
  wire IIC_Master_scl_o;
  wire IIC_Master_scl_t;
  wire IIC_Master_sda_i;
  wire IIC_Master_sda_io;
  wire IIC_Master_sda_o;
  wire IIC_Master_sda_t;
  wire SYS_CLK_clk_n;
  wire SYS_CLK_clk_p;
  wire [31:0]gbe_rxs_tdata;
  wire [3:0]gbe_rxs_tkeep;
  wire gbe_rxs_tlast;
  wire gbe_rxs_tready;
  wire gbe_rxs_tvalid;
  wire sfp_rxn;
  wire sfp_rxp;
  wire sfp_txn;
  wire sfp_txp;
  wire signal_detect;
  wire sys_rst;

IOBUF IIC_MMC_Slave_scl_iobuf
       (.I(IIC_MMC_Slave_scl_o),
        .IO(IIC_MMC_Slave_scl_io),
        .O(IIC_MMC_Slave_scl_i),
        .T(IIC_MMC_Slave_scl_t));
IOBUF IIC_MMC_Slave_sda_iobuf
       (.I(IIC_MMC_Slave_sda_o),
        .IO(IIC_MMC_Slave_sda_io),
        .O(IIC_MMC_Slave_sda_i),
        .T(IIC_MMC_Slave_sda_t));
IOBUF IIC_Master_scl_iobuf
       (.I(IIC_Master_scl_o),
        .IO(IIC_Master_scl_io),
        .O(IIC_Master_scl_i),
        .T(IIC_Master_scl_t));
IOBUF IIC_Master_sda_iobuf
       (.I(IIC_Master_sda_o),
        .IO(IIC_Master_sda_io),
        .O(IIC_Master_sda_i),
        .T(IIC_Master_sda_t));
design_1 design_1_i
       (.DDR3_addr(DDR3_addr),
        .DDR3_ba(DDR3_ba),
        .DDR3_cas_n(DDR3_cas_n),
        .DDR3_ck_n(DDR3_ck_n),
        .DDR3_ck_p(DDR3_ck_p),
        .DDR3_cke(DDR3_cke),
        .DDR3_cs_n(DDR3_cs_n),
        .DDR3_dm(DDR3_dm),
        .DDR3_dq(DDR3_dq),
        .DDR3_dqs_n(DDR3_dqs_n),
        .DDR3_dqs_p(DDR3_dqs_p),
        .DDR3_odt(DDR3_odt),
        .DDR3_ras_n(DDR3_ras_n),
        .DDR3_reset_n(DDR3_reset_n),
        .DDR3_we_n(DDR3_we_n),
        .GPIn_tri_i(GPIn_tri_i),
        .GPOut_tri_o(GPOut_tri_o),
        .GbE_clk_n(GbE_clk_n),
        .GbE_clk_p(GbE_clk_p),
        .IIC_MMC_Slave_scl_i(IIC_MMC_Slave_scl_i),
        .IIC_MMC_Slave_scl_o(IIC_MMC_Slave_scl_o),
        .IIC_MMC_Slave_scl_t(IIC_MMC_Slave_scl_t),
        .IIC_MMC_Slave_sda_i(IIC_MMC_Slave_sda_i),
        .IIC_MMC_Slave_sda_o(IIC_MMC_Slave_sda_o),
        .IIC_MMC_Slave_sda_t(IIC_MMC_Slave_sda_t),
        .IIC_Master_scl_i(IIC_Master_scl_i),
        .IIC_Master_scl_o(IIC_Master_scl_o),
        .IIC_Master_scl_t(IIC_Master_scl_t),
        .IIC_Master_sda_i(IIC_Master_sda_i),
        .IIC_Master_sda_o(IIC_Master_sda_o),
        .IIC_Master_sda_t(IIC_Master_sda_t),
        .SYS_CLK_clk_n(SYS_CLK_clk_n),
        .SYS_CLK_clk_p(SYS_CLK_clk_p),
        .gbe_rxs_tdata(gbe_rxs_tdata),
        .gbe_rxs_tkeep(gbe_rxs_tkeep),
        .gbe_rxs_tlast(gbe_rxs_tlast),
        .gbe_rxs_tready(gbe_rxs_tready),
        .gbe_rxs_tvalid(gbe_rxs_tvalid),
        .sfp_rxn(sfp_rxn),
        .sfp_rxp(sfp_rxp),
        .sfp_txn(sfp_txn),
        .sfp_txp(sfp_txp),
        .signal_detect(signal_detect),
        .sys_rst(sys_rst));

   assign sys_rst = 1'b1;
   assign signal_detect = 1'b1;
   assign gbe_rxs_tready = 1'b1;
endmodule
